Meltdown and Spectre Vulnerabilities: On it.

This week a web vulnerability was discovered that impacts virtually every processor manufactured since 1995. The vulnerability is being referred to as “Meltdown” and “Spectre”. Of course, we want you to know that we’ve got you covered. Most of our servers run a variant of the RedHat Linux operating system which released patches for the vulnerability around midnight January 5th, 2018. We began patching all of our servers this morning as soon as we received word that the patch was available.

As of 4PM January 5th, 2018 all Linux server have been patched.

You can read more about Meltdown and Spectre here:

You will likely notice little to no impact to your server, sites or email during this update. However, if you have any questions please do not hesitate to contact us. And we are here to help with all of your development, hosting and email needs – let us know.

Leave a Comment